# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriterDICOM Class Reference

The LoadWriterDICOM class is a ResourceLoadWriter capable of reading DICOM files (.dcm, .dicom, .dic, .ima, .ph, .mag) using GDCM 2.0 library. More...

`#include <ioDICOM.hpp>`

Inheritance diagram for vl::LoadWriterDICOM:

List of all members.

## Public Member Functions

| LoadWriterDICOM ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
bool | writeResource (VirtualFile *, ResourceDatabase *) const

## Detailed Description

The LoadWriterDICOM class is a ResourceLoadWriter capable of reading DICOM files (.dcm, .dicom, .dic, .ima, .ph, .mag) using GDCM 2.0 library.

See also:
  GDCM home page: http://creatis-www.insa-lyon.fr/software/public/Gdcm/Main.html

Definition at line 60 of file ioDICOM.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterDICOM::LoadWriterDICOM | ( | ) | `[inline]`

Definition at line 65 of file ioDICOM.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriterDICOM::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 70 of file ioDICOM.hpp.

References vl::loadDICOM().

ref<ResourceDatabase> vl::LoadWriterDICOM::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 79 of file ioDICOM.hpp.

References vl::loadDICOM().

bool vl::LoadWriterDICOM::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 88 of file ioDICOM.hpp.

bool vl::LoadWriterDICOM::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 93 of file ioDICOM.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/ioDICOM.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:14.
Permission is granted to use this page to write and publish articles regarding Visualization Library.